#include <osap.h>
#include <FastLED.h>

#define LED_PIN     3
#define NUM_LEDS    7

OSAP_Runtime osap;
OSAP_Gateway_USBSerial serLink(&Serial);

OSAP_Port_DeviceNames namePort("customLED");

int brightness = 30;
int rgb_input = {255,255,255};

CRGB leds[NUM_LEDS];

void updateLED(int R, int G, int B, int brightness, int NUM_LEDS) {
  for (int i = 0; i <NUM_LEDS; i++) {
    leds[i] = CRGB(R, G, B);
  }
  FastLED.setBrightness(brightness);
  FastLED.show();
}
void onLED_RGB_Packet(int rgb_input){
  rgb_input[0] = R;
  rgb_input[1] = G;
  rgb_input[2] = B;
  rgb_input[3] = brightness;
  rgb_input[4] = NUM_LEDS;
  updateLED();
}

OSAP_Port_Named setcustomLED("setcustomLED", onLED_RGB_Packet);

void setup() {
  osap.begin();
  FastLED.addLeds<WS2812, LED_PIN, GRB>(leds, NUM_LEDS);
  FastLED.setBrightness(brightness);
  updateLED();

}

void loop() {
  osap.loop();
}